Package com.collabnet.ce.soap60.webservices.page

# Class PageSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.page.PageSoapDO

public class PageSoapDO extends FolderSoapDO
This class represents a page in a project. This does not hold information about the components or its contents.
Change History
Release: 5.0

- Class Introduced

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getFreeForm()`
  Returns 'freeForm'.
  `boolean`
  `getVisible()`
  Returns 'visible'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setFreeForm(boolean freeForm)`
  Sets 'freeForm'.
  `void`
  `setVisible(boolean visible)`
  Sets 'visible'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageSoapDO

    public PageSoapDO()

- ## Method Details

  - ### getVisible

    public boolean getVisible()
    Returns 'visible'. Indicates whether this page is visible.
    Returns:
      Value of 'visible'.

  - ### setVisible

    public void setVisible(boolean visible)
    Sets 'visible'. Indicates whether this page is visible.
    Parameters:
      `visible` - Value of 'visible'.

  - ### getFreeForm

    public boolean getFreeForm()
    Returns 'freeForm'. Indicates whether this page must be hidden in the left navigation.
    Returns:
      Value of 'freeForm'.

  - ### setFreeForm

    public void setFreeForm(boolean freeForm)
    Sets 'freeForm'. Indicates whether this page must be hidden in the left navigation.
    Parameters:
      `freeForm` - Value of 'freeForm'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)